"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConfigurationEditor = /** @class */ (function () {
    function ConfigurationEditor(fontFamily, fontSize, fontFormat, color, background, script, header, blockquote, codeBlock, bullet, indent, direction, align, link, image, video, clean) {
        if (fontFamily === void 0) { fontFamily = true; }
        if (fontSize === void 0) { fontSize = true; }
        if (fontFormat === void 0) { fontFormat = true; }
        if (color === void 0) { color = true; }
        if (background === void 0) { background = true; }
        if (script === void 0) { script = false; }
        if (header === void 0) { header = true; }
        if (blockquote === void 0) { blockquote = true; }
        if (codeBlock === void 0) { codeBlock = true; }
        if (bullet === void 0) { bullet = true; }
        if (indent === void 0) { indent = true; }
        if (direction === void 0) { direction = false; }
        if (align === void 0) { align = true; }
        if (link === void 0) { link = true; }
        if (image === void 0) { image = true; }
        if (video === void 0) { video = false; }
        if (clean === void 0) { clean = true; }
        this.fontFamily = fontFamily;
        this.fontSize = fontSize;
        this.fontFormat = fontFormat;
        this.color = color;
        this.background = background;
        this.script = script;
        this.header = header;
        this.blockquote = blockquote;
        this.codeBlock = codeBlock;
        this.bullet = bullet;
        this.indent = indent;
        this.direction = direction;
        this.align = align;
        this.link = link;
        this.image = image;
        this.video = video;
        this.clean = clean;
    }
    ConfigurationEditor.newObject = function () {
        return new ConfigurationEditor();
    };
    ConfigurationEditor.newObjectWithAllControls = function () {
        return new ConfigurationEditor(true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true);
    };
    // Se indican en el objeto pasado por parámetro solo los controles que aparecerán en el editor
    ConfigurationEditor.newCustomObject = function (object) {
        var editor = new ConfigurationEditor();
        Object.keys(editor).forEach(function (k) { return (editor[k] = false); });
        Object.assign(editor, object);
        return editor;
    };
    return ConfigurationEditor;
}());
exports.ConfigurationEditor = ConfigurationEditor;
//# sourceMappingURL=configuration-editor.js.map